%define	major	1
%define libname	%mklibname user %{major}
%define develname %mklibname user -d

Summary:	A user and group account administration library
Name:		libuser
Version:	0.60
%define subrel	2
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Configuration
URL:		https://fedorahosted.org/libuser/
Source0:	https://fedorahosted.org/releases/l/i/libuser/%{name}-%{version}.tar.xz
# patches merged upstream (to be drop on next update):
Patch0:		libuser-0.56.9-fix-str-fmt.patch
# default to blowfish for passwords instead of md5 (#59158)
Patch1:		libuser-0.57.1-blowfish.patch
# crypt returns *0 if key is small than 22 and rounds are not given
Patch2:		libuser-0.56.15-fix_blowfish.patch
Patch3:		libuser-CVE-2015-3246.patch
BuildRequires:	gettext
BuildRequires:	glib2-devel
BuildRequires:	openldap-devel
BuildRequires:	linuxdoc-tools
BuildRequires:	pam-devel
BuildRequires:	popt-devel
BuildRequires:	python-devel
#BuildRequires:	libgsasl-devel
BuildRequires:	bison
BuildRequires:	openssl

%description
The libuser library implements a standardized interface for manipulating
and administering user and group accounts.  The library uses pluggable
back-ends to interface to its data sources.

Sample applications modeled after those included with the shadow password
suite are included.

%package python
Group:		Development/Python
Summary:	Library bindings for python
%py_requires -d
Requires:	%{libname} = %{version}-%{release}

%description python
This package contains the python library for python applications that 
use libuser.

%package ldap
Group:		System/Libraries
Summary:	Libuser ldap library
Requires:	%{libname} = %{version}-%{release}

%description ldap
This package contains the libuser ldap library.

#%package sasl
#Group:		System/Libraries
#Summary:	Libuser sasl library
#Requires:	%{libname} = %{version}-%{release}

#%description sasl
#This package contains the libuser sasl library.

%package -n %{libname}
Group:		System/Libraries
Summary:	The actual libraries for libuser
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This is the actual library for the libuser library.

%package -n %{develname}
Group:		Development/C
Summary:	Files needed for developing applications which use libuser
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d user 1

%description -n	%{develname}
The libuser-devel package contains header files, static libraries, and other
files useful for developing applications with libuser.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1 -b .CVE-2015-3246

%build
export CFLAGS="%{optflags} -fPIC -DG_DISABLE_ASSERT -I/usr/include/sasl -DLDAP_DEPRECATED"
%configure2_5x \
	--with-ldap \
	--with-python \
	--with-popt \
	--without-sasl \
	--disable-rpath \
	--without-selinux \
	--enable-gtk-doc=no
%make

%install
%makeinstall_std

%find_lang %{name}

# Remove unpackaged files
rm -rf  %{buildroot}/usr/share/man/man3/userquota.3 \
        %{buildroot}%{py_platsitedir}/*a \
        %{buildroot}%{_libdir}/%{name}/*.la \
	%{buildroot}%{_libdir}/*.la

# (mga6) ix update to 0.62 or to CVE-2015-3246:
%triggerin -n %{libname} -- %{libname} <= 0.60-6.mga6
rm -f /etc/shadow.lock

%check
LD_LIBRARY_PATH=%{buildroot}%{_libdir}:${LD_LIBRARY_PATH}
export LD_LIBRARY_PATH

# Verify that all python modules load, just in case.
pushd %{buildroot}/%{_libdir}/python%{pyver}/site-packages/
python -c "import libuser"
popd

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO docs/*.txt python/modules.txt
%config(noreplace) %{_sysconfdir}/libuser.conf
%{_bindir}/*
%{_sbindir}/*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/libuser_files.so
%{_libdir}/%{name}/libuser_shadow.so
%_mandir/man5/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libuser.so.%{major}*

%files python
%{py_platsitedir}/*.so

%files ldap
%{_libdir}/%{name}/libuser_ldap.so

#%files sasl
#%attr(0755,root,root) %{_libdir}/%{name}/libuser_sasldb.so

%files -n %{develname}
%{_includedir}/libuser
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/*


%changelog
* Tue Aug 11 2015 philippem <philippem> 0.60-2.2.mga4
+ Revision: 862518
- add a trigger to fix mga#16467, stay with default blowfish

  + luigiwalser <luigiwalser>
    - add patch from redhat to fix CVE-2015-3245 and CVE-2015-3246

* Tue Oct 22 2013 umeabot <umeabot> 0.60-2.mga4
+ Revision: 545171
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 luigiwalser <luigiwalser> 0.60-1.mga4
+ Revision: 500867
- 0.60

* Mon Apr 01 2013 luigiwalser <luigiwalser> 0.59-1.mga3
+ Revision: 406909
- 0.59 (fixes CVE-2012-5630 and CVE-2012-5644)

* Wed Jan 23 2013 fwang <fwang> 0.58-3.mga3
+ Revision: 391472
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 0.58-2.mga3
+ Revision: 358310
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 0.58-1.mga3
+ Revision: 334810
- 0.58

* Sun Oct 07 2012 luigiwalser <luigiwalser> 0.57.7-1.mga3
+ Revision: 303114
- 0.57.7

* Sun Jul 29 2012 luigiwalser <luigiwalser> 0.57.6-1.mga3
+ Revision: 275657
- 0.57.6

* Sat Dec 10 2011 tv <tv> 0.57.3-1.mga2
+ Revision: 180324
- new release

* Thu Sep 08 2011 tv <tv> 0.57.2-1.mga2
+ Revision: 141502
- new release

* Tue Sep 06 2011 tv <tv> 0.57.1-1.mga2
+ Revision: 139509
- new release
- rediff patch 1

* Wed Jan 12 2011 blino <blino> 0.56.18-4.mga1
+ Revision: 6664
- remove old conflicts and ldconfig scriptlets
- imported package libuser

